Is it ok to leave output panel as it is if the script is running as expected?

Is it ok to leave the warning and error messages on packages displayed in output panel as it is (no intervention), if the script is running as expected?:

06/05/2023 08:13:31 => [Debug] The restore inputs for ‘ProjectName’ have changed. Continuing restore.
06/05/2023 08:13:31 => [Info] Restoring packages for D:\Users\XXX\Documents\UiPath\ProjectName.local.…
06/05/2023 08:13:31 => [Debug] Restoring packages for .NETCoreApp,Version=v6.0…
06/05/2023 08:13:33 => [Debug] Resolving conflicts for net6.0-windows7.0…
06/05/2023 08:13:33 => [Debug] Scanning packages for runtime.json files…
06/05/2023 08:13:33 => [Debug] Merging in runtimes defined in package/Microsoft.NETCore.Windows.ApiSets 1.0.1.
06/05/2023 08:13:33 => [Debug] Merging in runtimes defined in package/Microsoft.NETCore.Platforms 5.0.0.
06/05/2023 08:13:33 => [Debug] Merging in runtimes defined in package/Microsoft.NETCore.Targets 1.1.3.
06/05/2023 08:13:33 => [Debug] Restoring packages for net6.0-windows7.0/win10-x64…
06/05/2023 08:13:33 => [Debug] Resolving conflicts for net6.0-windows7.0/win10-x64…
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on Microsoft.NETCore.Platforms (>= 1.1.1) but Microsoft.NETCore.Platforms 1.1.1 was not found. An approximate best match of Microsoft.NETCore.Platforms 2.0.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: Microsoft.Azure.CognitiveServices.Vision.ComputerVision 7.0.1 depends on Microsoft.Rest.ClientRuntime.Azure (>= 3.3.18 && < 4.0.0) but Microsoft.Rest.ClientRuntime.Azure 3.3.18 was not found. An approximate best match of Microsoft.Rest.ClientRuntime.Azure 3.3.19 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Data.SqlClient 4.8.1 depends on Microsoft.Win32.Registry (>= 4.7.0) but Microsoft.Win32.Registry 4.7.0 was not found. An approximate best match of Microsoft.Win32.Registry 5.0.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: Microsoft.Rest.ClientRuntime 2.3.21 depends on Newtonsoft.Json (>= 10.0.3) but Newtonsoft.Json 10.0.3 was not found. An approximate best match of Newtonsoft.Json 11.0.2 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: NJsonSchema 10.2.2 depends on Newtonsoft.Json (>= 9.0.1) but Newtonsoft.Json 9.0.1 was not found. An approximate best match of Newtonsoft.Json 11.0.2 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Management.Automation 7.1.0 depends on Newtonsoft.Json (>= 12.0.3) but Newtonsoft.Json 12.0.3 was not found. An approximate best match of Newtonsoft.Json 13.0.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: UiPath.OCR.Activities 3.11.0 depends on NLog (>= 4.5.11) but NLog 4.5.11 was not found. An approximate best match of NLog 4.6.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: UiPath.OCR.Activities 3.11.0 depends on Polly (>= 7.1.0) but Polly 7.1.0 was not found. An approximate best match of Polly 7.1.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on runtime.native.System (>= 4.3.0) but runtime.native.System 4.3.0 was not found. An approximate best match of runtime.native.System 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on runtime.native.System.Net.Http (>= 4.3.0) but runtime.native.System.Net.Http 4.3.0 was not found. An approximate best match of runtime.native.System.Net.Http 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on runtime.native.System.Security.Cryptography.OpenSsl (>= 4.3.2) but runtime.native.System.Security.Cryptography.OpenSsl 4.3.2 was not found. An approximate best match of runtime.native.System.Security.Cryptography.OpenSsl 4.3.3 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: runtime.native.System.IO.Ports 5.0.0 depends on runtime.osx-x64.runtime.native.System.IO.Ports (>= 5.0.0-rtm.20519.4) but runtime.osx-x64.runtime.native.System.IO.Ports 5.0.0-rtm.20519.4 was not found. An approximate best match of runtime.osx-x64.runtime.native.System.IO.Ports 8.0.0-preview.3.23174.8 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on System.Diagnostics.DiagnosticSource (>= 4.3.0) but System.Diagnostics.DiagnosticSource 4.3.0 was not found. An approximate best match of System.Diagnostics.DiagnosticSource 4.6.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: UiPath.OCR.Activities 3.11.0 depends on System.Drawing.Common (>= 5.0.2) but System.Drawing.Common 5.0.2 was not found. An approximate best match of System.Drawing.Common 5.0.3 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: UiPath.OCR.Contracts 2.13.0 depends on System.Drawing.Common (>= 5.0.2) but System.Drawing.Common 5.0.2 was not found. An approximate best match of System.Drawing.Common 5.0.3 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on System.Net.Primitives (>= 4.3.0) but System.Net.Primitives 4.3.0 was not found. An approximate best match of System.Net.Primitives 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on System.Security.Cryptography.Algorithms (>= 4.3.0) but System.Security.Cryptography.Algorithms 4.3.0 was not found. An approximate best match of System.Security.Cryptography.Algorithms 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Security.Cryptography.X509Certificates 4.3.2 depends on System.Security.Cryptography.Cng (>= 4.3.0) but System.Security.Cryptography.Cng 4.3.0 was not found. An approximate best match of System.Security.Cryptography.Cng 4.5.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Net.Http 4.3.4 depends on System.Security.Cryptography.X509Certificates (>= 4.3.0) but System.Security.Cryptography.X509Certificates 4.3.0 was not found. An approximate best match of System.Security.Cryptography.X509Certificates 4.3.2 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Data.SqlClient 4.8.1 depends on System.Security.Principal.Windows (>= 4.7.0) but System.Security.Principal.Windows 4.7.0 was not found. An approximate best match of System.Security.Principal.Windows 5.0.0 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Runtime 4.3.0 depends on runtime.any.System.Runtime (>= 4.3.0) but runtime.any.System.Runtime 4.3.0 was not found. An approximate best match of runtime.any.System.Runtime 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Runtime.Extensions 4.3.0 depends on runtime.win.System.Runtime.Extensions (>= 4.3.0) but runtime.win.System.Runtime.Extensions 4.3.0 was not found. An approximate best match of runtime.win.System.Runtime.Extensions 4.3.1 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: System.Private.Uri 4.3.2 depends on runtime.win7.System.Private.Uri (>= 4.3.0) but runtime.win7.System.Private.Uri 4.3.0 was not found. An approximate best match of runtime.win7.System.Private.Uri 4.3.2 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: runtime.any.System.Runtime 4.3.1 depends on System.Private.Uri (>= 4.3.1) but System.Private.Uri 4.3.1 was not found. An approximate best match of System.Private.Uri 4.3.2 was resolved.
06/05/2023 08:13:33 => [Warning] NU1603: runtime.win.System.Runtime.Extensions 4.3.1 depends on System.Private.Uri (>= 4.3.1) but System.Private.Uri 4.3.1 was not found. An approximate best match of System.Private.Uri 4.3.2 was resolved.
06/05/2023 08:13:33 => [Error] NU1102: Unable to find package System.ComponentModel.Annotations with version (>= 5.0.0)

  • Found 1 version(s) in C:\Program Files\UiPath\Studio\Packages [ Nearest version: 4.7.0 ]
  • Found 1 version(s) in Local [ Nearest version: 4.7.0 ]
  • Found 0 version(s) in D:\Users\XXX\Desktop\UiPath packages
  • Found 0 version(s) in Desktop
    06/05/2023 08:13:33 => [Error] NU1102: Unable to find package UiPath.ConnectionClient with version (>= 1.4.3-20221214.2)
  • Found 1 version(s) in C:\Program Files\UiPath\Studio\Packages [ Nearest version: 1.4.1 ]
  • Found 1 version(s) in Local [ Nearest version: 1.4.1 ]
  • Found 0 version(s) in D:\Users\XXX\Desktop\UiPath packages
  • Found 0 version(s) in Desktop
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.debian.8-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.debian.9-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.fedora.23-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.fedora.24-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.fedora.27-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.fedora.28-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.opensuse.13.2-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.opensuse.42.1-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.opensuse.42.3-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1102: Unable to find package runtime.osx.10.10-x64.runtime.native.System.Security.Cryptography.OpenSsl with version (>= 4.3.3)
  • Found 1 version(s) in D:\Users\XXX\Desktop\UiPath packages [ Nearest version: 4.3.0 ]
  • Found 1 version(s) in Desktop [ Nearest version: 4.3.0 ]
  • Found 0 version(s) in C:\Program Files\UiPath\Studio\Packages
  • Found 0 version(s) in Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.rhel.7-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.ubuntu.14.04-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.ubuntu.16.04-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.ubuntu.16.10-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.ubuntu.18.04-x64.runtime.native.System.Security.Cryptography.OpenSsl. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package System.Collections.Concurrent. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package System.Linq. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package System.Globalization.Calendars. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.osx.10.10-x64.runtime.native.System.Security.Cryptography.Apple. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.win.System.Diagnostics.Debug. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.any.System.Diagnostics.Tracing. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.win.System.IO.FileSystem. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.win.System.Net.Primitives. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.any.System.Runtime.Handles. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.any.System.Runtime.InteropServices. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:33 => [Error] NU1101: Unable to find package runtime.any.System.Globalization.Calendars. No packages exist with this id in source(s): C:\Program Files\UiPath\Studio\Packages, D:\Users\XXX\Desktop\UiPath packages, Desktop, Local
    06/05/2023 08:13:34 => [Warning] NU1605: Detected package downgrade: System.Runtime from 4.3.1 to 4.3.0. Reference the package directly from the project to select a different version.
    ProjectName → UiPath.Mail.Activities 1.19.0 → System.Net.Http 4.3.4 → System.Net.Primitives 4.3.1 → System.Runtime (>= 4.3.1)
    ProjectName → UiPath.Mail.Activities 1.19.0 → System.Net.Http 4.3.4 → System.Runtime (>= 4.3.0)
    06/05/2023 08:13:34 => [Warning] NU1605: Detected package downgrade: System.Runtime from 4.3.1 to 4.3.0. Reference the package directly from the project to select a different version.
    ProjectName → UiPath.UIAutomation.Activities 22.10.5 → UiPath.OCR.Activities 3.11.0 → Microsoft.Azure.CognitiveServices.Vision.ComputerVision 7.0.1 → System.Net.Http 4.3.4 → System.Net.Primitives 4.3.1 → System.Runtime (>= 4.3.1)
    ProjectName → UiPath.UIAutomation.Activities 22.10.5 → UiPath.OCR.Activities 3.11.0 → Microsoft.Azure.CognitiveServices.Vision.ComputerVision 7.0.1 → System.Net.Http 4.3.4 → System.Runtime (>= 4.3.0)
    06/05/2023 08:13:34 => [Info] Assets file has not changed. Skipping assets file writing. Path: D:\Users\XXX\Documents\UiPath\ProjectName.local\AllDependencies.json
    06/05/2023 08:13:34 => [Debug] Writing cache file to disk. Path: D:\Users\XXX\Documents\UiPath\ProjectName.local\nuget.cache

@Baboompiak

As per the messages we can see that all are resolved …so it should not be an issue…

If there are any unresolced errors then there might be issues

Cheers

There are some lines that say error and that packages are not found. So is it okay to leave it as it is?

@Baboompiak

If you are not using those packages please remove them…open the project tab from left and check if anything is in red and if not used remove or repair

Cheers

The packages with errors are actually dependencies of the packages that I require. I tried to download and install the packages with errors messages but instead of removing the error messages I created more and more error messages.

@Baboompiak

Dont download them again…

If something is missing you will get a repair option in the project window on the left…try repairing

If that does not work try changing the version from
Manage packages and check

Cheers